Subject: bug#35012: Can't install icecat

From: Alberto EFG <[email-masked]>
Date: Tue, 26 Mar 2019 13:39:09 -0600

Hello, for the last few weeks I've been unable to upgrade icecat.

I use Guix on top of Fedora 29, I've used it with selinux set to
permissive and set to enforce. I've run guix-daemon manually and using
systemd. Yesterday I removed Guix entirely and installed it from scratch.

It keeps failing no matter what. I have about 200gb of disk space and
8gb of RAM. This is the error I always get:

$ guix package -c 7 --upgrade icecat --substitute-urls="https://ci.guix.info"
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
substitute: updating substitutes from 'https://ci.guix.info'... 100.0%
downloading from https://ci.guix.info/nar/qlwg5lyxnnj68kw2agx4z5fr2b6vxpdc-icecat-60.6.1-guix1.tar.xz...

icecat-60.6.1-guix1.tar.xz  303.0MiB   1.8MiB/s 02:47 [##################] 100.0%

building /gnu/store/jpg44cnp64hzdi2hislnid40jdr3kkhp-rust-1.24.1.drv...
\ 'install' phasenote: build failure may have been caused by lack of free disk space
builder for `/gnu/store/jpg44cnp64hzdi2hislnid40jdr3kkhp-rust-1.24.1.drv' failed with exit code 1
build of /gnu/store/jpg44cnp64hzdi2hislnid40jdr3kkhp-rust-1.24.1.drv failed
View build log at '/var/log/guix/drvs/jp/g44cnp64hzdi2hislnid40jdr3kkhp-rust-1.24.1.drv.bz2'.
cannot build derivation `/gnu/store/mqx2ad5zkki6s02c6x7gkdzmb2p0zd6s-icecat-60.6.1-guix1.drv': 1 dependencies couldn't be built
guix package: error: build of `/gnu/store/mqx2ad5zkki6s02c6x7gkdzmb2p0zd6s-icecat-60.6.1-guix1.drv' failed